Crazy Eddies GUI System: CEGUI::OpenGLTextureTarget Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::OpenGLTextureTarget Class Reference

OpenGLTextureTarget - Common base class for all OpenGL render targets based on some form of RTT support. More...

Inherits CEGUI::OpenGLRenderTarget, and CEGUI::TextureTarget.

Inherited by CEGUI::OpenGLApplePBTextureTarget, CEGUI::OpenGLFBOTextureTarget, CEGUI::OpenGLGLXPBTextureTarget, and CEGUI::OpenGLWGLPBTextureTarget.

Collaboration diagram for CEGUI::OpenGLTextureTarget:
[legend]

List of all members.

## Public Member Functions
| OpenGLTextureTarget (OpenGLRenderer &owner)
| constructor.
virtual | ~OpenGLTextureTarget ()
| destructor
bool | isImageryCache () const
| Return whether the RenderTarget is an implementation that caches actual rendered imagery.
Texture & | getTexture () const
| Return a pointer to the CEGUI::Texture that the TextureTarget is using.
bool | isRenderingInverted () const
| Return whether rendering done on the target texture is inverted in relation to regular textures.
virtual void | grabTexture ()
| Grab the texture to a local buffer.
virtual void | restoreTexture ()
| Restore the texture from the locally buffered copy previously create by a call to grabTexture.
## Protected Attributes
GLuint | d_texture
| Associated OpenGL texture ID.
OpenGLTexture * | d_CEGUITexture
| we use this to wrap d_texture so it can be used by the core CEGUI lib.

## Detailed Description

OpenGLTextureTarget - Common base class for all OpenGL render targets based on some form of RTT support.

## Member Function Documentation

Texture& CEGUI::OpenGLTextureTarget::getTexture | ( |  | ) | const`[virtual]`

Return a pointer to the CEGUI::Texture that the TextureTarget is using.

Returns:
  Texture object that the TextureTarget uses when rendering imagery.

Implements CEGUI::TextureTarget.

virtual void CEGUI::OpenGLTextureTarget::grabTexture | ( |  | ) | `[virtual]`

Grab the texture to a local buffer.

This will destroy the OpenGL texture, and restoreTexture must be called before using it again.

Reimplemented in CEGUI::OpenGLApplePBTextureTarget, CEGUI::OpenGLFBOTextureTarget, CEGUI::OpenGLGLXPBTextureTarget, and CEGUI::OpenGLWGLPBTextureTarget.

bool CEGUI::OpenGLTextureTarget::isImageryCache | ( |  | ) | const`[virtual]`

Return whether the RenderTarget is an implementation that caches actual rendered imagery.

Typically it is expected that texture based RenderTargets would return true in response to this call. Other types of RenderTarget, like view port based targets, will more likely return false.

Returns:
  - true if the RenderTarget does cache rendered imagery.
  - false if the RenderTarget does not cache rendered imagery.

Implements CEGUI::RenderTarget.

bool CEGUI::OpenGLTextureTarget::isRenderingInverted | ( |  | ) | const`[virtual]`

Return whether rendering done on the target texture is inverted in relation to regular textures.

This is intended to be used when generating geometry for rendering the TextureTarget onto another surface.

Returns:
  - true if the texture content should be considered as inverted vertically in comparison with other regular textures.
  - false if the texture content has the same orientation as regular textures.

Implements CEGUI::TextureTarget.